Subject: Re: [netext] AD review of draft-ietf-netext-pmip-lr

From: Jari Arkko <[email-masked]>
Date: Mon, 02 Jan 2012 13:04:49 +0200

I was looking at the state of my drafts today, and noticed that I had missed to send a reply to your question, Suresh.

>
>>>      All the Localized routing messages use a new mobility header type
>>>      (TBA1).
>>>      The Localized Routing Initiation, described inSection 9.1<http://tools.ietf.org/html/draft-ietf-netext-pmip-lr-07#section-9.1>   and the
>>>      Localized Routing Acknowledgment, described inSection 9.2<http://tools.ietf.org/html/draft-ietf-netext-pmip-lr-07#section-9.2>   require a
>>>      single Mobility Header Type (TBA1) from the Mobility Header Types
>>>      registry athttp://www.iana.org/assignments/mobility-parameters
>>>
>> This seems odd. Usually, a message and its acknowledgment have different message types. TBA1 and TBA2... I can see that you have the R flag, but this isn't the usual way to define new MH messages.
> I do not have a strong preference one way or another, but the last two
> MH messages for Binding Revocation (RFC5846) and Heartbeat (RFC5847)
> seem to be using a shared MH type for both the request and a response.
> Let me know if you want me to change this and I will do so.

I think it is better to use separate message types. That was the original design from RFC 3775.

Jari

---

From: Suresh Krishnan <[email-masked]>
Date: Mon, 2 Jan 2012 17:06:22 -0500

> I think it is better to use separate message types. That was the original design from RFC 3775.

Thanks Jari. Will do.

Regards
Suresh